<?php
session_start();
include "../conexion.php";
include('../include/sesiones.php');

$com_id=limpiar($_GET['id']);
$can5=mysqli_query($con,"SELECT * FROM compra_detalle cd, compras c WHERE c.com_id=cd.compras_com_id and c.com_id='$com_id'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can5))
{          
    $comd_id=$dato['comd_id'];
    $comd_art_id=$dato['comd_art_id'];
    $comd_referencia=$dato['comd_referencia'];     
    $comd_cantidad=$dato['comd_cantidad'];
    $com_bodega=$dato['com_bodega'];
    $atributo1=$dato['atributo1'];
    $atributo2=$dato['atributo2'];

    $can7=mysqli_query($con,"SELECT * FROM articulos_has_bodegas a, compra_detalle cd WHERE a.articulos_art_id=cd.comd_art_id and cd.comd_art_id='$comd_art_id' and a.bodegas='$com_bodega' AND a.atributo1='$atributo1' AND a.atributo2='$atributo2'") or die(mysqli_error($con));  
    $dato=mysqli_fetch_array($can7);
    
    $articulos_art_id=$dato['articulos_art_id'];
    $art_cantidad=$dato['art_cantidad'];
    $resta=$art_cantidad-$comd_cantidad;
    $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where articulos_art_id='$comd_art_id' and atributo1='$atributo1' AND atributo2='$atributo2' and bodegas='$com_bodega' and empresa='$empresa'") or die(mysqli_error($con));


    //seriales
    $can9=mysqli_query($con,"SELECT * FROM seriales_compra where compra_detalle_comd_id ='$comd_id'") or die(mysqli_error($con));  
    while($ser=mysqli_fetch_array($can9))
    {
        $ser_codigo=$ser['ser_codigo'];
       
        $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='eliminado' Where articulos_art_id='$comd_art_id' and se_codigo='$ser_codigo'") or die(mysqli_error($con));
    }
} 
$borrar_sql=mysqli_query($con,"DELETE FROM seriales_compra WHERE compra_detalle_comd_id='$comd_id' ") or die(mysqli_error($con)); 
$borrar_sql=mysqli_query($con,"DELETE FROM compra_abonos WHERE compras_com_id='$com_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$borrar_sql=mysqli_query($con,"DELETE FROM compra_detalle WHERE compras_com_id='$com_id' and empresa='$empresa'") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM compras WHERE com_id='$com_id' and empresa='$empresa'") or die(mysqli_error($con));

$borrar_sql=mysqli_query($con,"DELETE FROM kardex_compra WHERE kar_com_id='$com_id' and empresa='$empresa'") or die(mysqli_error($con));

echo '<div class="alert alert-danger alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Compra!</strong> Eliminada correctamente.
</div>';
?>